version: '3.7'
services:
  gdle:
    build: .
    command:
      - ./GDLEnhanced
      - --config
      - "config/${CONFIG_FILE}"
    environment:
      CONFIG_FILE: ${CONFIG_FILE}
      MYSQL_DATABASE: ${MYSQL_DATABASE}
      MYSQL_PASSWORD: ${MYSQL_PASSWORD}
      MYSQL_USER: ${MYSQL_USER}
    ports:
      - 9000:9000/tcp
      - 9000:9000/udp
      - 9001:9001/tcp
      - 9001:9001/udp
    restart: unless-stopped
    stop_grace_period: 60s
    stop_signal: SIGINT
    volumes:
      - ./config:/home/gdle/config
    working_dir: /home/gdle
  mariadb:
    environment:
      MYSQL_DATABASE: ${MYSQL_DATABASE}
      MYSQL_PASSWORD: ${MYSQL_PASSWORD}
      MYSQL_USER: ${MYSQL_USER}
      MYSQL_RANDOM_ROOT_PASSWORD: ${MYSQL_RANDOM_ROOT_PASSWORD}
    image: mariadb:10.1
    links:
      - gdle
    volumes:
      - ./mariadb-database:/var/lib/mysql
      - ./${GDLE_DB_SQL_SRC-gdlenhanced/Bin/sqldumps/gdle_db.sql}:${GDLE_DB_SQL_DST-/docker-entrypoint-initdb.d/001-gdle-db.sql}
      - ./${HOUSE_SQL_SRC-gdlenhanced/Bin/sqldumps/blob_update_house.sql}:${HOUSE_SQL_DST-/docker-entrypoint-initdb.d/002-house.sql}
      - ./${WEENIES_SQL_SRC-gdlenhanced/Bin/sqldumps/blob_update_weenie.sql}:${WEENIES_SQL_DST-/docker-entrypoint-initdb.d/003-weenie.sql}
